curl --request GET \
--url https://api.baselayer.com/searches/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.baselayer.com/searches/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.baselayer.com/searches/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"options": [
"Order.WebsiteAnalysis"
],
"state": "PENDING",
"name": "Acme Corporation",
"address": "1640 Riverside Drive, Hill Valley, CA",
"created_at": "2026-08-31T10:31:07.796090",
"url": "https://api.baselayer.com/searches/c623e29e-1f57-11ef-938f-1edb1b067314",
"status_url": "https://api.baselayer.com/searches/c623e29e-1f57-11ef-938f-1edb1b067314/status",
"business_url": "https://api.baselayer.com/businesses/febe48f6-1f57-11ef-8bbf-1edb1b067314/status",
"orderables": [
{
"id": "10a87552-c8a4-4d33-a8dc-1f734d80a9ba",
"option": "Order.WebsiteAnalysis",
"type": "WebsiteAnalysisRequest",
"url": "https://api.baselayer.com/website_analysis_requests/10a87552-c8a4-4d33-a8dc-1f734d80a9ba"
}
],
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "Austin",
"last_name": "Taylor",
"email": "jessicasimpson@example.com"
},
"search_address": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"street": "913 Hendrix Gardens Suite 492",
"city": "Jasonfurt",
"state": "VA",
"zip": "19773",
"latitude": 38.03012,
"longitude": 78.47665,
"rdi": "Commercial",
"deliverable": false,
"cmra": false,
"url": "<string>",
"delivery_type": "STREET"
},
"officer_names": [
"Doc Brown"
],
"alternative_names": [
"Joe's Pizza",
"Joe's Pizzeria"
],
"website": "https://baselayer.com/",
"phone_number": "636-555-3226",
"email": "support@baselayer.com",
"tin": "555666777",
"reference_id": "Search1234",
"tin_matched": true,
"tin_match_type": "SSN",
"tin_potential_match": "Baselayer",
"watchlist_hits": [],
"business_name_match": "EXACT",
"business_address_match": "EXACT",
"business_officer_match": "SIMILAR",
"registered_agent_match": "SIMILAR",
"business_website_match": true,
"business_website_redirect_match": true,
"search_address_validation_level": "FULL",
"updated_at": "2026-08-31T10:31:07.796101",
"verified": true,
"scores": [
{
"type": "risk",
"score": 95,
"rating": "A"
}
],
"error": "<string>",
"warnings": [
"IRS Validation is unavailable."
],
"business": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Levine-Santos",
"url": "https://api.baselayer.com/businesses/9083e7e2-1f6b-11ef-8f0f-1edb1b067314",
"console_url": "https://console.baselayer.com/business/9083e7e2-1f6b-11ef-8f0f-1edb1b067314",
"address": "63788 Paige Lane Cooperfurt, MI 10037",
"structure": "C_CORPORATION",
"addresses": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"street": "913 Hendrix Gardens Suite 492",
"city": "Jasonfurt",
"state": "VA",
"zip": "19773",
"latitude": 38.03012,
"longitude": 78.47665,
"rdi": "Commercial",
"deliverable": false,
"cmra": false,
"url": "<string>",
"delivery_type": "STREET",
"sources": [
"SOS",
"Online"
]
}
],
"phone_numbers": [
"251-829-8026"
],
"email": "kathleenholmes@example.com",
"website": "http://www.cruz-adkins.net/",
"social_profiles": {
"confidence": null,
"found_on": [],
"metadata": null,
"site": "twitter",
"url": "https://twitter.com/michelle98",
"username": "michelle98"
},
"reviews": [
{
"url": "https://www.yelp.com/biz/certified-power-inc-mundelein",
"source": "yelp",
"confidence": "high",
"rating": 4.5,
"volume": 23,
"summary": "5 reviews mention that the service was great and the owner was very helpful.",
"phone_number": "+12125551234",
"address": "123 Main St, Anytown, USA",
"business_website": "https://www.example.com",
"reviews": [
{
"username": "John Doe",
"text": "This is a great review!",
"date": "2024-01-01",
"rating": 5
}
],
"metadata": {
"open_state": "Open",
"operating_hours": {},
"description": "<string>",
"types": [
"Restaurant",
"Italian restaurant"
],
"service_options": {}
}
}
],
"directory_listings": [
{
"source": "bbb.org",
"url": "https://www.bbb.org/us/ca/modesto/profile/plumber/joes-plumbing-1234",
"category": "Plumbing Contractor",
"business_name": "Joe's Plumbing & Heating",
"phone_number": "<string>",
"email": "<string>",
"business_website": "<string>",
"address": "<string>",
"people": [
{
"name": "<string>",
"title": "<string>"
}
]
}
],
"ein": "871888915",
"incorporation_state": "HI",
"incorporation_date": "2011-11-27",
"months_in_business": 256,
"primary_address": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"street": "913 Hendrix Gardens Suite 492",
"city": "Jasonfurt",
"state": "VA",
"zip": "19773",
"latitude": 38.03012,
"longitude": 78.47665,
"rdi": "Commercial",
"deliverable": false,
"cmra": false,
"url": "<string>",
"delivery_type": "STREET"
},
"alternative_names": [
"Ramos, Garcia and Good"
],
"registrations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Garcia, Hernandez and Woods",
"file_number": "867124",
"state": "AZ",
"status": "active",
"issue_date": "2024-01-01",
"inactive_date": "2024-06-01",
"dissolution_date": "2024-06-01",
"address": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"street": "913 Hendrix Gardens Suite 492",
"city": "Jasonfurt",
"state": "VA",
"zip": "19773",
"latitude": 38.03012,
"longitude": 78.47665,
"rdi": "Commercial",
"deliverable": false,
"cmra": false,
"url": "<string>",
"delivery_type": "STREET"
},
"registration_type": "domestic",
"standing": "In Good Standing",
"registered_agent": {
"name": "Jeremy Crawford",
"address": {
"city": "Andrewton",
"cmra": false,
"deliverable": false,
"delivery_type": null,
"id": "ab237e72-7053-439d-ae5e-edbac59bf7cb",
"latitude": 34.0522,
"longitude": -118.2437,
"rdi": null,
"state": "CA",
"street": "3032 Mark Parks Andrewton, CA 27458",
"url": null,
"zip": "27458"
}
},
"officers": []
}
],
"business_officers": [
{
"name": "Philip Mcguire",
"titles": [
"CEO",
"Founder"
],
"states": [
"CA",
"NY"
],
"sources": [
"SOS",
"Online"
]
}
],
"predicted_naics": [],
"watchlist_hits": [],
"sec_registrations": [],
"revenue": null,
"phone_number": "955-714-3269"
},
"console_url": "https://console.baselayer.com/business/febe48f6-1f57-11ef-8bbf-1edb1b067314"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get Search
Retrieve a business search by ID.
Authorizations
Path Parameters
The unique identifier of the search to retrieve.
"412a49b5-7466-426b-bf1e-081b00b54576"
"9d5a286e-a6d6-4d6c-a38e-8b7ea50accd5"
Response
Response
The unique identifier of the search.
Optional features enabled during search execution.
Order.WebsiteAnalysis, Order.NaicsPrediction, Order.Pep, Order.Enhanced ["Order.WebsiteAnalysis"]
The current state of the search.
PENDING, EXECUTING, COMPLETED, FAILED, CANCELLED The name inputted in the search.
"Acme Corporation"
The address string inputted in the search.
"1640 Riverside Drive, Hill Valley, CA"
The datetime the search was created.
"2026-08-31T10:31:07.796090"
The API URL to retrieve the search.
1 - 2083"https://api.baselayer.com/searches/c623e29e-1f57-11ef-938f-1edb1b067314"
The API URL to retrieve the status of the search.
1 - 2083"https://api.baselayer.com/searches/c623e29e-1f57-11ef-938f-1edb1b067314/status"
The API URL to retrieve the business details.
1 - 2083"https://api.baselayer.com/businesses/febe48f6-1f57-11ef-8bbf-1edb1b067314/status"
A list of associated requests that were made as a result of ordering optional features through the options when the search was submitted. This allows you to correlate associated operations that will complete asynchronously once the search is completed. For example, if you order Website Analysis when issuing the search you will have a corresponding WebsiteAnalysisRequest orderable containing the ID and URL of the forthcoming associated operations.
Show child attributes
Show child attributes
[
{
"id": "10a87552-c8a4-4d33-a8dc-1f734d80a9ba",
"option": "Order.WebsiteAnalysis",
"type": "WebsiteAnalysisRequest",
"url": "https://api.baselayer.com/website_analysis_requests/10a87552-c8a4-4d33-a8dc-1f734d80a9ba"
}
]
Details on the User who performed the search.
Show child attributes
Show child attributes
The sanitized address inputted in the search.
Show child attributes
Show child attributes
The officer names inputted in the search.
["Doc Brown"]
The alternative names inputted in the search.
["Joe's Pizza", "Joe's Pizzeria"]
The website inputted in the search.
"https://baselayer.com/"
The phone number inputted in the search.
"636-555-3226"
The email inputted in the search.
"support@baselayer.com"
The TIN/EIN inputted in the search.
"555666777"
The reference ID inputted in the search.
"Search1234"
Indicates whether the inputted TIN/EIN was a match, per the IRS. If a TIN is submitted with the search, and a response of null is returned, this indicates that the IRS validation service is currently having a temporary outage. Please see status.baselayer.com for status updates.
true
The type of match that occurred.
SSN, EIN, UNKNOWN "SSN"
If the inputted TIN/EIN was not a match, but is a real TIN/EIN, this field returns the name of the entity to whom that TIN/EIN actually belongs.
"Baselayer"
The watchlist hits associated with the searched business.
Show child attributes
Show child attributes
Indicates how close the inputted name matches the found business entity.
NO_MATCH, SIMILAR, EXACT "EXACT"
Indicates how close the inputted address matches the found business entity.
NO_MATCH, CITY, STATE, SIMILAR, EXACT "EXACT"
Indicates how close the inputted officer name matches the found business officers.
NO_MATCH, SIMILAR, EXACT "SIMILAR"
Indicates how close the inputted officer name matches the found business registered agent.
NO_MATCH, SIMILAR, EXACT "SIMILAR"
Does the inputted website match the found business website?
true
Indicates whether the website match was established via a cross-domain redirect. True when business_website_match is True and the match was found because one website redirects to the other's domain.
true
The validation level derived during address normalization.
FULL, PARTIAL, INVALID "FULL"
The datetime the search was updated at (generally when the search completed).
"2026-08-31T10:31:07.796101"
Indicates whether the found business was a close enough match to be considered verified.
true
An array containing Baselayer's ratings.
Show child attributes
Show child attributes
Any errors that occurred.
Any warnings that occurred.
["IRS Validation is unavailable."]
A representation of the Business identified by the Search.
Show child attributes
Show child attributes
The URL to the search details in the console.
1 - 2083"https://console.baselayer.com/business/febe48f6-1f57-11ef-8bbf-1edb1b067314"